Results 1 to 10 of 10

Thread: Terminal -- rpm update failure

  1. #1

    Default Terminal -- rpm update failure

    For weeks (at least) I have kept getting error messages like this when doing zypper updates:


    Installing: Terminal-0.4.4-13.1 [error]
    Installation of Terminal-0.4.4-13.1 failed:
    (with --nodeps --force) Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed on file /usr/share/doc/Terminal/da/images: cpio: rename failed - Is a directory


    Any ideas on how to deal with this?

    Thanks

    MEK
    Boston

  2. #2
    Join Date
    Sep 2008
    Location
    Dubai
    Posts
    1,770

    Default Re: Terminal -- rpm update failure

    You can safely remove the directory that may be a left over from some other stuff. (But, I really don't know why such a directory can be left over by some other program).
    Code:
    sudo rm -fr /usr/share/doc/Terminal
    (Make sure that you typed it correctly. Double-check before executing!!!)

    By the by, why do you need the Terminal program?
    openSUSE 12.3 (x86_64) with Kernel 3.7.10-1.16-desktop and KDE 4.11.2 on MacBook Pro
    Latest MS Windows version used: Win95

  3. #3
    palladium NNTP User

    Default Re: Terminal -- rpm update failure

    kerpan wrote:
    > For weeks (at least) I have kept getting error messages like this when
    > doing zypper updates:


    you say "like this" does that mean that the one for Terminal is an
    example of the kinds of errors you get everytime you try to run any
    (or most, or almost all) updates?

    if so, then the solution is not to remove the Terminal document folder
    because that only treats the symptom of the problem and not the
    problem itself..

    i wonder if it is possible that you are trying to install packages
    built for one OS version onto a different version--that could account
    for the mismatch between where the rpm seems to 'think' the doc should
    go and where your system has the doc actually located...

    lets try this, do the following two commands in a terminal and copy
    paste back to here:

    Code:
    zypper lr -d
    
    cat /etc/SuSE-release
    ps: enjoying the snow?

    --
    palladium

  4. #4

    Default Re: Terminal -- rpm update failure

    Snow? What snow? ;~}

    The only problem program is Terminal. I think this got installed (sort of automatically) as part of the Xfce environment. I've never fiddled specifically with this. I just get this message when I do a general "zypper -v update".

    Running "zypper lr -d", I get:


    1 | Compiz/XGL | Compiz/XGL | Yes | Yes | 99 | rpm-md | Index of /repositories/X11:/XGL/openSUSE_11.2 |
    2 | Enlightenment | Enlightenment | Yes | Yes | 99 | rpm-md | Index of /repositories/X11:/Enlightenment/openSUSE_11.2 |
    3 | Google_Linux | Google Linux | Yes | Yes | 99 | rpm-md | http://dl.google.com/linux/rpm/stable/x86_64 |
    4 | KDE4-Factory | KDE4-Factory | No | No | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.2 |
    5 | KDE4_Community | KDE4 Community | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.2_KDE4_Factory_Desktop |
    6 | KDE4_Core_1 | KDE4 Core | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.2 |
    7 | KDE:_QT_4.5_Development | KDE: QT 4.5 Development | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/Qt45/openSUSE_11.2 |
    8 | KDE_Playground_2 | KDE Playground | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/Playground/openSUSE_11.2_KDE4_Factory_Desktop |
    9 | KDE_QT4 | KDE QT4 | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/Qt/openSUSE_11.2 |
    10 | Mozilla_beta | Mozilla beta | Yes | Yes | 99 | rpm-md | Index of /repositories/mozilla:/beta/openSUSE_11.2 |
    11 | OpenSuse_11.2_-_Education | OpenSuse 11.2 - Education | Yes | Yes | 99 | rpm-md | Index of /repositories/Education/openSUSE_11.2 |
    12 | download.opensuse.org-2.28 | openSUSE BuildService - GNOME:STABLE:2.28 | Yes | Yes | 99 | rpm-md | Index of /repositories/GNOME:/STABLE:/2.28/openSUSE_11.2 |
    13 | download.opensuse.org-Apps | openSUSE BuildService - GNOME:Apps | Yes | Yes | 99 | rpm-md | Index of /repositories/GNOME:/Apps/openSUSE_11.2 |
    14 | download.opensuse.org-Backports | openSUSE BuildService - KDE:Backports | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/Backports/openSUSE_11.2 |
    15 | download.opensuse.org-Community | openSUSE BuildService - KDE:KDE4:Community | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.2 |
    16 | download.opensuse.org-STABLE | openSUSE BuildService - OpenOffice.org | Yes | Yes | 99 | rpm-md | Index of /repositories/OpenOffice.org:/STABLE/openSUSE_11.2 |
    17 | download.opensuse.org-Wine | openSUSE BuildService - Wine CVS Builds | Yes | Yes | 99 | rpm-md | Index of /repositories/Emulators:/Wine/openSUSE_11.2 |
    18 | download.opensuse.org-database | openSUSE BuildService - Database | Yes | Yes | 99 | rpm-md | Index of /repositories/server:/database/openSUSE_11.2 |
    19 | download.opensuse.org-games | openSUSE BuildService - Games | Yes | Yes | 99 | rpm-md | Index of /repositories/games/openSUSE_11.2 |
    20 | download.opensuse.org-mozilla | openSUSE BuildService - Mozilla | Yes | Yes | 99 | rpm-md | Index of /repositories/mozilla/openSUSE_11.2 |
    21 | download.opensuse.org-standard | Main Repository (Contrib) | Yes | Yes | 99 | rpm-md | Index of /repositories/openSUSE:/11.2:/Contrib/standard |
    22 | download.opensuse.org-xfce | openSUSE BuildService - XFCE | Yes | Yes | 99 | rpm-md | Index of /repositories/X11:/xfce/openSUSE_11.2 |
    23 | download.videolan.org-SuSE_1 | VideoLan Repository | Yes | Yes | 99 | rpm-md | Index of /pub/videolan/vlc/SuSE/11.2/ |
    24 | ftp.skynet.be-suse | Packman Repository | Yes | Yes | 99 | rpm-md | http://ftp.skynet.be/pub/packman/suse/11.2/ |
    25 | google-chrome | google-chrome | Yes | Yes | 99 | rpm-md | http://dl.google.com/linux/rpm/stable/x86_64 |
    26 | home:Nijel | home:Nijel | Yes | Yes | 99 | rpm-md | Index of /repositories/home:/Nijel/openSUSE_11.2 |
    27 | http-download.opensuse.org-11b507b0 | Updates for openSUSE 11.2-0 | Yes | Yes | 99 | rpm-md | Index of /update/11.2 |
    28 | openSUSE 11.2-0 | openSUSE 11.2-0 | Yes | No | 99 | yast2 | cd:/// |
    29 | repo-debug | openSUSE-11.2-Debug | No | No | 99 | NONE | Index of /debug/distribution/11.2/repo/oss |
    30 | repo-non-oss | openSUSE-11.2-Non-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/11.2/repo/non-oss |
    31 | repo-oss | openSUSE-11.2-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/11.2/repo/oss |
    32 | repo-source | openSUSE-11.2-Source | No | No | 99 | NONE | Index of /source/distribution/11.2/repo/oss

    Running "cat /etc/SuSE-release", I get:

    openSUSE 11.2 (x86_64)
    VERSION = 11.2

    I'm surprised no one else has had a problem -- as I don't think I've done anmything idiosyncratic (as to this -- at least).

    (I haven't tried deleting anything manually yet).

    MEK

  5. #5
    Join Date
    Jun 2008
    Location
    Berlin
    Posts
    2,061

    Default Re: Terminal -- rpm update failure

    I'm surprised no one else has had a problem [...]
    I'm surprised your system is starting at all. How could this list of repositories ever happen?

    And please put such stuff in code-tags.

  6. #6
    palladium NNTP User

    Default Re: Terminal -- rpm update failure

    kerpan wrote:
    > (I haven't tried deleting anything manually yet).


    well, let me make a friendly suggestion: read this posting:

    http://forums.opensuse.org/new-user-...ml#post2058902

    and please very close attention to the part about having only FOUR
    repos enabled....

    i am surprised you don't have all kinds of problems..

    for sure you need to disable all but the recommended four repos..

    and, then i have no idea what to do next..

    well, i could suggest you read documentation along the way and not try
    to guess your way though this...it is just complicated and far too
    many different ways to kill your system by just clicking around..

    --
    palladium

  7. #7

    Default Re: Terminal -- rpm update failure

    I'm not a new user.

  8. #8
    Join Date
    Jun 2008
    Location
    Berlin
    Posts
    2,061

    Default Re: Terminal -- rpm update failure

    Your way of managing software is n00bish, though (no offense meant). The shown combination of repositories makes no sense at all (two various Qt-sources, two various Mozilla-sources, contradicting KDE-repos, home:-repos, developer-repos...). I'd hardly know how to tidy this mess.

  9. #9

    Default Re: Terminal -- rpm update failure

    > Your way of managing software is n00bish,

    Be that as it may, I've been using SUSE since SuSe 5.3 and have not seen this particular error before.

    (I've disabled a couple of overlooked repositories that I had _thought_ I had already disabled).

    Deleting the directory worked fine, btw.

  10. #10
    palladium NNTP User

    Default Re: Terminal -- rpm update failure

    kerpan wrote:
    > I'm not a new user.


    i never said you were..
    i can find the same information in 20 dozen other places other than a
    thread made for folks new to openSUSE...if you are offended it is only
    that i knew exactly how to find the cite i offered the quickest for _me_..

    so, read it any way you wish my friend...i've tried my best to help
    you, and failed...sorry...

    and, you are absolutely correct in that you may set your machine up
    with every repo on earth, if you wish.....but when you then come here
    asking for help you do need to say that you don't take kindly to
    following normal practices....because it make a big difference in how
    i would help you...

    --
    palladium

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •